<template>
    <div class="spot-card">
        <img :src="location.img">
        <h1> {{location.name}} </h1>
        <h2>{{location.country}}</h2>        
    </div>
</template>

<script>

export default {
    props: [
        "location"
    ],
    data() {
        return {
            img: ''
        }
    }
}
</script>

<style scoped>

.spot-card {
    width: 350px;
    height: 500px;
    border: 1px solid black;
    box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
    margin-top: 5px;
    background-color:  rgb(97, 224, 218);
    margin-left: 3px;
    margin-right: 3px;

}

img {
    width: 100%;
    height: 85%;
    
}

h1 {
    font-size:20px;
}
h2 {
    font-size: 15px;
}
</style>